<?php
if (!isset($SITE)){
	header ("Location: ../index.php")  ;	// back to index/startpage if someone tries an
	exit;  									//  page to load without menu system//
}
$pageName		= 'wsTagsWC.php';
$pageVersion	= '2.4b 2013-12-30 11:00:00 ';
$SITE['wsModules'][$pageName] = 'version: ' . $pageVersion;
$pageFile = basename(__FILE__) ;			// check to see this is the real script
if ($pageFile <> $pageName) {
	$SITE['wsModules'][$pageFile]	= 'this file loaded instead of '.$pageName;
}
echo '<!-- module '.$pageFile.' ==== '.$SITE['wsModules'][$pageFile]." -->".PHP_EOL;
# ----------------------------------------------------------------------------------------
#  Version 2.4b for template release 2.40
# ----------------------------------------------------------------------------------------
$ws['tags.php']		= $pageFile.'-'.$pageVersion;
# ------------------------------------------- date - time --------------------------------
$unixDate			= strtotime('D$');
$ymd 				= date('Ymd',	$unixDate);
$ws['actTime']		= date('YmdHis',$unixDate);
# ------------------------------------------ temperature ---------------------------------
$to 	= $SITE['uomTemp'];
$skip	= array('?','&#176;',';');
$repl	= array ('','','');
$from	= str_replace($skip,$repl,'TEMPUNITS$'); 		//  = 'C', 'F',  (or  '?C', '?F', or '&deg;C', '&deg;F' )

$ws['tempMaxTodayTime']	= wdDate('STAT$TEMPERATURE:MAX:TODAY:TIME$'); 
$ws['tempMaxYdayTime']	= wdDate('STAT$TEMPERATURE:MAX:YESTERDAY:TIME$');
$ws['tempMaxMonthTime']	= date('YmdHis',strtotime('STAT$TEMPERATURE:MAX:THISMONTH:TIME$'));
$ws['tempMaxYearTime']	= date('YmdHis',strtotime('STAT$TEMPERATURE:MAX:THISYEAR:TIME$'));
$ws['tempMinTodayTime']	= wdDate('STAT$TEMPERATURE:MIN:TODAY:TIME$');
$ws['tempMinYdayTime']	= wdDate('STAT$TEMPERATURE:MIN:YESTERDAY:TIME$');
$ws['tempMinMonthTime']	= date('YmdHis',strtotime('STAT$TEMPERATURE:MIN:THISMONTH:TIME$'));
$ws['tempMinYearTime']	= date('YmdHis',strtotime('STAT$TEMPERATURE:MIN:THISYEAR:TIME$'));

$ws['dewpMaxTodayTime']	= wdDate('STAT$DEWPOINT:MAX:TODAY:TIME$');
$ws['dewpMaxYdayTime']	= wdDate('STAT$DEWPOINT:MAX:YESTERDAY:TIME$');
$ws['dewpMinTodayTime']	= wdDate('STAT$DEWPOINT:MIN:TODAY:TIME$');
$ws['dewpMinYdayTime']	= wdDate('STAT$DEWPOINT:MIN:YESTERDAY:TIME$');

$ws['heatMaxTodayTime']	= wdDate('STAT$HEATINDEX:MAX:TODAY:TIME$');
$ws['heatMaxYdayTime']	= wdDate('STAT$HEATINDEX:MAX:YESTERDAY:TIME$');

$ws['chilMinTodayTime']	= wdDate('STAT$WINDCHILL:MIN:TODAY:TIME$');
$ws['chilMinYdayTime']	= wdDate('STAT$WINDCHILL:MIN:YESTERDAY:TIME$');

$ws['tempAct']			= wsConvertTemperature('STAT$TEMPERATURE:CURRENT$', $from, $to);  // convert and clean of units
$ws['tempDelta']		= 'STAT$TEMPERATURE:DELTA1$';
$ws['tempActInside']	= wsConvertTemperature('STAT$INTTEMPERATURE:CURRENT$', $from, $to);
$ws['tempActExtra1']	= wsConvertTemperature('STAT$T1:CURRENT$', $from, $to);
$ws['tempActExtra2']	= wsConvertTemperature('STAT$T1:CURRENT$', $from, $to);	

$ws['tempMinToday']		= wsConvertTemperature('STAT$TEMPERATURE:MIN:TODAY$', 		$from, $to);
$ws['tempMinYday']		= wsConvertTemperature('STAT$TEMPERATURE:MIN:YESTERDAY$', 	$from, $to);
$ws['tempMinMonth']		= wsConvertTemperature('STAT$TEMPERATURE:MIN:THISMONTH$', 	$from, $to);
$ws['tempMinYear']		= wsConvertTemperature('STAT$TEMPERATURE:MIN:THISYEAR$', 	$from, $to);

$ws['tempMaxToday']		= wsConvertTemperature('STAT$TEMPERATURE:MAX:TODAY$', 		$from, $to);
$ws['tempMaxYday']		= wsConvertTemperature('STAT$TEMPERATURE:MAX:YESTERDAY$',	$from, $to);
$ws['tempMaxMonth']		= wsConvertTemperature('STAT$TEMPERATURE:MAX:THISMONTH$',	$from, $to);
$ws['tempMaxYear']		= wsConvertTemperature('STAT$TEMPERATURE:MAX:THISYEAR$', 	$from, $to);

$ws['dewpAct']  		= wsConvertTemperature('STAT$DEWPOINT:CURRENT$', 		$from, $to);
$ws['dewpDelta']		= 'STAT$DEWPOINT:DELTA1$';
$ws['dewpMaxToday']  	= wsConvertTemperature('STAT$DEWPOINT:MAX:TODAY$', 		$from, $to);
$ws['dewpMaxYday']  	= wsConvertTemperature('STAT$DEWPOINT:MAX:YESTERDAY$', 	$from, $to);
$ws['dewpMinToday']  	= wsConvertTemperature('STAT$DEWPOINT:MIN:TODAY$', 		$from, $to);
$ws['dewpMinYday']  	= wsConvertTemperature('STAT$DEWPOINT:MIN:YESTERDAY$', 	$from, $to);

$ws['heatAct']  		= wsConvertTemperature('STAT$HEATINDEX:CURRENT$', 		$from, $to);
$ws['heatDelta']		= 'STAT$HEATINDEX:DELTA1$';
$ws['heatMaxToday']		= wsConvertTemperature('STAT$HEATINDEX:MAX:TODAY$', 	$from, $to);
$ws['heatMaxYday']		= wsConvertTemperature('STAT$HEATINDEX:MAX:YESTERDAY$', $from, $to);
$ws['heatMaxMonth']		= wsConvertTemperature('STAT$HEATINDEX:MAX:THISMONTH$', $from, $to);
$ws['heatMaxYear']		= wsConvertTemperature('STAT$HEATINDEX:MAX:THISYEAR$', 	$from, $to);
	
$ws['chilAct']			= wsConvertTemperature('STAT$WINDCHILL:CURRENT$', 		$from, $to);
$ws['chilDelta']		= 'STAT$WINDCHILL:DELTA1$';
$ws['chilMinToday']		= wsConvertTemperature('STAT$WINDCHILL:MIN:TODAY$', 	$from, $to);
$ws['chilMinYday']		= wsConvertTemperature('STAT$WINDCHILL:MIN:YESTERDAY$', $from, $to);
$ws['chilMinMonth']		= wsConvertTemperature('STAT$WINDCHILL:MIN:THISMONTH$', $from, $to);
$ws['chilMinYear']		= wsConvertTemperature('STAT$WINDCHILL:MIN:THISYEAR$', 	$from, $to);

# ------------------------------------------ pressure / baro -------------------------------------
$to 	= $SITE['uomBaro'];
$from	= 'PRESSUREUNITS$'; 		//  = 'inHg', 'hPa', 'kPa', 'mb'

$ws['baroMaxTodayTime']	= wdDate('STAT$PRESSURE:MAX:TODAY:TIME$');
$ws['baroMaxYdayTime']	= wdDate('STAT$PRESSURE:MAX:YESTERDAY:TIME$');
$ws['baroMaxMonthTime']	= date('YmdHis',strtotime('STAT$PRESSURE:MAX:THISMONTH:TIME$'));
$ws['baroMaxYearTime']	= date('YmdHis',strtotime('STAT$PRESSURE:MAX:THISYEAR:TIME$'));

$ws['baroMinTodayTime']	= wdDate('STAT$PRESSURE:MIN:TODAY:TIME$');
$ws['baroMinYdayTime']	= wdDate('STAT$PRESSURE:MIN:YESTERDAY:TIME$');
$ws['baroMinMonthTime']	= date('YmdHis',strtotime('STAT$PRESSURE:MIN:THISMONTH:TIME$'));
$ws['baroMinYearTime']	= date('YmdHis',strtotime('STAT$PRESSURE:MIN:THISYEAR:TIME$'));

$ws['baroAct'] 			= wsConvertBaro('STAT$PRESSURE:CURRENT$', $from, $to);
$ws['baroDelta']		= 'STAT$PRESSURE:DELTA1$';  // trend = --BarTrend--
$ws['baroMinToday']		= wsConvertBaro('STAT$PRESSURE:MIN:TODAY$', 	$from, $to);
$ws['baroMinYday']		= wsConvertBaro('STAT$PRESSURE:MIN:YESTERDAY$', $from, $to);
$ws['baroMinMonth']		= wsConvertBaro('STAT$PRESSURE:MIN:THISMONTH$', $from, $to);
$ws['baroMinYear'] 		= wsConvertBaro('STAT$PRESSURE:MIN:THISYEAR$', 	$from, $to);	
$ws['baroMaxToday']		= wsConvertBaro('STAT$PRESSURE:MAX:TODAY$', 	$from, $to);
$ws['baroMaxYday']		= wsConvertBaro('STAT$PRESSURE:MAX:YESTERDAY$', $from, $to);
$ws['baroMaxMonth']		= wsConvertBaro('STAT$PRESSURE:MAX:THISMONTH$', $from, $to);
$ws['baroMaxYear'] 		= wsConvertBaro('STAT$PRESSURE:MAX:THISYEAR$', 	$from, $to);

# ------------------------------------------ humidity  ------------------------------------------
$ws['humiMaxTodayTime'] = wdDate('STAT$EXTHUMIDITY:MAX:TODAY:TIME$');
$ws['humiMaxYdayTime']	= wdDate('STAT$EXTHUMIDITY:MAX:YESTERDAY:TIME$');
$ws['humiMinTodayTime']	= wdDate('STAT$EXTHUMIDITY:MIN:TODAY:TIME$');
$ws['humiMinYdayTime']	= wdDate('STAT$EXTHUMIDITY:MIN:YESTERDAY:TIME$');

$ws['humiAct']			= 'STAT$EXTHUMIDITY:CURRENT$';
$ws['humiDelta']		= 'STAT$EXTHUMIDITY:DELTA1$';
$ws['humiMaxToday']		= 'STAT$EXTHUMIDITY:MAX:TODAY$';
$ws['humiMaxYday']		= 'STAT$EXTHUMIDITY:MAX:YESTERDAY$';
$ws['humiMinToday'] 	= 'STAT$EXTHUMIDITY:MIN:TODAY$';
$ws['humiMinYday'] 		= 'STAT$EXTHUMIDITY:MIN:YESTERDAY$';

# ------------------------------------------ rain  ------------------------------------------
$to 	= $SITE['uomRain'];
$from	= 'RAINUNITS$'; 			//  = 'mm', 'in'
$arr	= explode (' ','CR$ ');
$ws['rainRateAct'] 		= wsConvertRainfall( $arr[0], $from, $to);
$ws['rainRateToday'] 	= $ws['rainRateAct'];		
$ws['rainToday']		= wsConvertRainfall('STAT$RAIN:TOTAL:TODAY$', 		$from, $to);
$ws['rainYday']			= wsConvertRainfall('STAT$RAIN:TOTAL:YESTERDAY$', 	$from, $to);
$ws['rainMonth']		= wsConvertRainfall('STAT$RAIN:TOTAL:THISMONTH$', 	$from, $to);
$ws['rainYear']			= wsConvertRainfall('STAT$RAIN:TOTAL:THISYEAR$', 	$from, $to);
# ------------------------------------------ EVAPOTRANSPIRATION --------------------------
$ws['etToday'] 			= wsConvertRainfall('STAT$DAILYET:CURRENT$', 			$from, $to);
$ws['etYday'] 			= wsConvertRainfall('STAT$DAILYET:TOTAL:YESTERDAY$', 	$from, $to);
$ws['etMonth'] 			= wsConvertRainfall('STAT$MONTHLYET:CURRENT$', 			$from, $to);
$ws['etYear'] 			= wsConvertRainfall('STAT$YEARLYET:CURRENT$', 			$from, $to);
# ------------------------------------------ wind  ---------------------------------------
$to 	= $SITE['uomWind'];
$from	= str_replace('hr','h','WINDSPEEDUNITS$'); 		//  = 'kts','mph','kmh','km/h','m/s','Bft'

$ws['gustMaxTodayTime']	= wdDate('STAT$WINDGUST:MAX:TODAY:TIME$');
$ws['gustMaxYdayTime']	= wdDate('STAT$WINDGUST:MAX:YESTERDAY:TIME$');
$ws['gustMaxMonthTime']	= date('YmdHis',strtotime('STAT$WINDGUST:MAX:THISMONTH:TIME$'));
$ws['gustMaxYearTime']	= date('YmdHis',strtotime('STAT$WINDGUST:MAX:THISYEAR:TIME$'));

$ws['windActDsc']		= wsConvertWinddir ('STAT$WINDDIRECTION:CURRENT$');
$ws['windActDeg']		= 'STAT$WINDDIRECTION:CURRENT$';

$ws['windBeafort']		= wsBeaufortNumber ('STAT$AVERAGEWINDSPEED:CURRENT$',$from);

$ws['windAct']			= wsConvertWindspeed('STAT$AVERAGEWINDSPEED:CURRENT$', $from ,$to);
$ws['gustAct']			= wsConvertWindspeed('STAT$WINDGUST:CURRENT$', 			$from ,$to);
$ws['gustMaxToday']		= wsConvertWindspeed('STAT$WINDGUST:MAX:TODAY$', 		$from ,$to);
$ws['gustMaxYday']		= wsConvertWindspeed('STAT$WINDGUST:MAX:YESTERDAY$',	$from ,$to); 
$ws['gustMaxMonth']		= wsConvertWindspeed('STAT$WINDGUST:MAX:THISMONTH$', 	$from ,$to);
$ws['gustMaxYear']		= wsConvertWindspeed('STAT$WINDGUST:MAX:THISYEAR$', 	$from ,$to);	

if ($ws['gustAct'] <= $ws['windAct'])	{$ws['gustAct'] = $ws['windAct'];}
# ------------------------------------------  UV   -----------------------------------------
$ws['uvMaxTodayTime'] 	= wdDate('STAT$UV:MAX:TODAY:TIME$');
$ws['uvMaxYdayTime'] 	= wdDate('STAT$UV:MAX:YESTERDAY:TIME$');
$ws['uvMaxMonthTime'] 	= date('YmdHis',strtotime('STAT$UV:MAX:THISMONTH:TIME$'));
$ws['uvMaxYearTime'] 	= date('YmdHis',strtotime('STAT$UV:MAX:THISYEAR:TIME$'));

$ws['uvAct']			= 'STAT$UV:CURRENT$';
$ws['uvMaxToday']		= 'STAT$UV:MAX:TODAY$';
$ws['uvMaxYday']		= 'STAT$UV:MAX:YESTERDAY$';
$ws['uvMaxMonth']		= 'STAT$UV:MAX:THISMONTH$';
$ws['uvMaxYear']		= 'STAT$UV:MAX:THISYEAR$';
# ------------------------------------------ Solar  ----------------------------------------
$ws['solarMaxTodayTime'] = wdDate('STAT$SOLAR:MAX:TODAY:TIME$');
$ws['solarMaxYdayTime']  = wdDate('STAT$SOLAR:MAX:YESTERDAY:TIME$');
$ws['solarMaxMonthTime'] = date('YmdHis',strtotime('STAT$SOLAR:MAX:THISMONTH:TIME$'));
$ws['solarMaxYearTime']  = date('YmdHis',strtotime('STAT$SOLAR:MAX:THISYEAR:TIME$'));

$ws['solarAct']			= 'STAT$SOLAR:CURRENT$';
#$ws['solActPerc']		= 'currentsolarpctplain';
$ws['solarMaxToday']	= 'STAT$UV:MAX:TODAY$';
$ws['solarMaxYday']		= 'STAT$UV:MAX:YESTERDAY$';
$ws['solarMaxMonth']	= 'STAT$UV:MAX:THISMONTH$';
$ws['solarMaxYear']		= 'STAT$UV:MAX:THISYEAR$';
# ------------------------------------------ forecasts -------------------------------------
$ws['fcstTxt'] 	  		= 'CF$';
# ------------------------------------------ some more --------------------------------------
$ws['wsVersion']		= '';
$ws['wsHardware'] 		= '';   // unknown
$ws['wsUptime']			= '';

#------------------soil  moistere + temp  & leaf moistere readings---------------------------
$to 	= $SITE['uomTemp'];
$skip	= array('?','&#176;',';');
$repl	= array ('','','');
$from	= str_replace($skip,$repl,'&#176;C;'); 		//  = 'C', 'F',  (or  '?C', '?F', or '&deg;C', '&deg;F' )

# Soil temp sensor 1 
$ws['soilTempAct'][1]			= wsConvertTemperature('STAT$ST1:CURRENT$', $from, $to);  
# Temp sensor 1 maximum value for today month and year
$ws['soilTempMaxToday'][1]		= wsConvertTemperature('STAT$ST1:MAX:TODAY$', $from, $to);
$ws['soilTempMaxMonth'][1]		= wsConvertTemperature('STAT$ST1:MAX:THISMONTH$', $from, $to);
$ws['soilTempMaxYear'][1]		= wsConvertTemperature('STAT$ST1:MAX:THISYEAR$', $from, $to);
$ws['soilTempMaxAlltime'][1]	= wsConvertTemperature('STAT$ST1:MAX:ALLTIME$', $from, $to);
$ws['soilTempMaxTodayTime'][1]	= date('YmdHis',strtotime('STAT$ST1:MAX:TODAY:TIME$'));
$ws['soilTempMaxMonthTime'][1]	= date('YmdHis',strtotime('STAT$ST1:MAX:THISMONTH:TIME$'));
$ws['soilTempMaxYearTime'][1]	= date('YmdHis',strtotime('STAT$ST1:MAX:THISYEAR:TIME$'));
$ws['soilTempMaxAlltimeTime'][1]= date('YmdHis',strtotime('STAT$ST1:MAX:ALLTIME:TIME$'));
# Temp sensor 1 minimum value for today month and year
$ws['soilTempMinToday'][1]		= wsConvertTemperature('STAT$ST1:MIN:TODAY$', $from, $to);
$ws['soilTempMinMonth'][1]		= wsConvertTemperature('STAT$ST1:MIN:THISMONTH$', $from, $to);
$ws['soilTempMinYear'][1]		= wsConvertTemperature('STAT$ST1:MIN:THISYEAR$', $from, $to);
$ws['soilTempMinAlltime'][1]	= wsConvertTemperature('STAT$ST1:MIN:ALLTIME$', $from, $to);
$ws['soilTempMinTodayTime'][1]	= date('YmdHis',strtotime('STAT$ST1:MIN:TODAY:TIME$'));
$ws['soilTempMinMonthTime'][1]	= date('YmdHis',strtotime('STAT$ST1:MIN:THISMONTH:TIME$'));
$ws['soilTempMinYearTime'][1]	= date('YmdHis',strtotime('STAT$ST1:MIN:THISYEAR:TIME$'));
$ws['soilTempMinAlltimeTime'][1]= date('YmdHis',strtotime('STAT$ST1:MIN:ALLTIME:TIME$'));
# Soil temp sensor 2 
$ws['soilTempAct'][2]			= wsConvertTemperature('STAT$ST2:CURRENT$', $from, $to);  
# Temp sensor 2 maximum value for today month and year
$ws['soilTempMaxToday'][2]		= wsConvertTemperature('STAT$ST2:MAX:TODAY$', $from, $to);
$ws['soilTempMaxMonth'][2]		= wsConvertTemperature('STAT$ST2:MAX:THISMONTH$', $from, $to);
$ws['soilTempMaxYear'][2]		= wsConvertTemperature('STAT$ST2:MAX:THISYEAR$', $from, $to);
$ws['soilTempMaxAlltime'][2]	= wsConvertTemperature('STAT$ST2:MAX:ALLTIME$', $from, $to);
$ws['soilTempMaxTodayTime'][2]	= date('YmdHis',strtotime('STAT$ST2:MAX:TODAY:TIME$'));
$ws['soilTempMaxMonthTime'][2]	= date('YmdHis',strtotime('STAT$ST2:MAX:THISMONTH:TIME$'));
$ws['soilTempMaxYearTime'][2]	= date('YmdHis',strtotime('STAT$ST2:MAX:THISYEAR:TIME$'));
$ws['soilTempMaxAlltimeTime'][2]= date('YmdHis',strtotime('STAT$ST2:MAX:ALLTIME:TIME$'));
# Temp sensor 2 minimum value for today month and year
$ws['soilTempMinToday'][2]		= wsConvertTemperature('STAT$ST2:MIN:TODAY$', $from, $to);
$ws['soilTempMinMonth'][2]		= wsConvertTemperature('STAT$ST2:MIN:THISMONTH$', $from, $to);
$ws['soilTempMinYear'][2]		= wsConvertTemperature('STAT$ST2:MIN:THISYEAR$', $from, $to);
$ws['soilTempMinAlltime'][2]	= wsConvertTemperature('STAT$ST2:MIN:ALLTIME$', $from, $to);
$ws['soilTempMinTodayTime'][2]	= date('YmdHis',strtotime('STAT$ST2:MIN:TODAY:TIME$'));
$ws['soilTempMinMonthTime'][2]	= date('YmdHis',strtotime('STAT$ST2:MIN:THISMONTH:TIME$'));
$ws['soilTempMinYearTime'][2]	= date('YmdHis',strtotime('STAT$ST2:MIN:THISYEAR:TIME$'));
$ws['soilTempMinAlltimeTime'][2]= date('YmdHis',strtotime('STAT$ST2:MIN:ALLTIME:TIME$'));
# Soil temp sensor 3 
$ws['soilTempAct'][3]			= wsConvertTemperature('STAT$ST3:CURRENT$', $from, $to);  
# Temp sensor 3 maximum value for today month and year
$ws['soilTempMaxToday'][3]		= wsConvertTemperature('STAT$ST3:MAX:TODAY$', $from, $to);
$ws['soilTempMaxMonth'][3]		= wsConvertTemperature('STAT$ST3:MAX:THISMONTH$', $from, $to);
$ws['soilTempMaxYear'][3]		= wsConvertTemperature('STAT$ST3:MAX:THISYEAR$', $from, $to);
$ws['soilTempMaxAlltime'][3]	= wsConvertTemperature('STAT$ST3:MAX:ALLTIME$', $from, $to);
$ws['soilTempMaxTodayTime'][3]	= date('YmdHis',strtotime('STAT$ST3:MAX:TODAY:TIME$'));
$ws['soilTempMaxMonthTime'][3]	= date('YmdHis',strtotime('STAT$ST3:MAX:THISMONTH:TIME$'));
$ws['soilTempMaxYearTime'][3]	= date('YmdHis',strtotime('STAT$ST3:MAX:THISYEAR:TIME$'));
$ws['soilTempMaxAlltimeTime'][3]= date('YmdHis',strtotime('STAT$ST3:MAX:ALLTIME:TIME$'));
# Temp sensor 3 minimum value for today month and year
$ws['soilTempMinToday'][3]		= wsConvertTemperature('STAT$ST3:MIN:TODAY$', $from, $to);
$ws['soilTempMinMonth'][3]		= wsConvertTemperature('STAT$ST3:MIN:THISMONTH$', $from, $to);
$ws['soilTempMinYear'][3]		= wsConvertTemperature('STAT$ST3:MIN:THISYEAR$', $from, $to);
$ws['soilTempMinAlltime'][3]	= wsConvertTemperature('STAT$ST3:MIN:ALLTIME$', $from, $to);
$ws['soilTempMinTodayTime'][3]	= date('YmdHis',strtotime('STAT$ST3:MIN:TODAY:TIME$'));
$ws['soilTempMinMonthTime'][3]	= date('YmdHis',strtotime('STAT$ST3:MIN:THISMONTH:TIME$'));
$ws['soilTempMinYearTime'][3]	= date('YmdHis',strtotime('STAT$ST3:MIN:THISYEAR:TIME$'));
$ws['soilTempMinAlltimeTime'][3]= date('YmdHis',strtotime('STAT$ST3:MIN:ALLTIME:TIME$'));
# Soil temp sensor 4 
$ws['soilTempAct'][4]			= wsConvertTemperature('STAT$ST4:CURRENT$', $from, $to);  
# Temp sensor 4 maximum value for today month and year
$ws['soilTempMaxToday'][4]		= wsConvertTemperature('STAT$ST4:MAX:TODAY$', $from, $to);
$ws['soilTempMaxMonth'][4]		= wsConvertTemperature('STAT$ST4:MAX:THISMONTH$', $from, $to);
$ws['soilTempMaxYear'][4]		= wsConvertTemperature('STAT$ST4:MAX:THISYEAR$', $from, $to);
$ws['soilTempMaxAlltime'][4]	= wsConvertTemperature('STAT$ST4:MAX:ALLTIME$', $from, $to);
$ws['soilTempMaxTodayTime'][4]	= date('YmdHis',strtotime('STAT$ST4:MAX:TODAY:TIME$'));
$ws['soilTempMaxMonthTime'][4]	= date('YmdHis',strtotime('STAT$ST4:MAX:THISMONTH:TIME$'));
$ws['soilTempMaxYearTime'][4]	= date('YmdHis',strtotime('STAT$ST4:MAX:THISYEAR:TIME$'));
$ws['soilTempMaxAlltimeTime'][4]= date('YmdHis',strtotime('STAT$ST4:MAX:ALLTIME:TIME$'));
# Temp sensor 4 minimum value for today month and year
$ws['soilTempMinToday'][4]		= wsConvertTemperature('STAT$ST4:MIN:TODAY$', $from, $to);
$ws['soilTempMinMonth'][4]		= wsConvertTemperature('STAT$ST4:MIN:THISMONTH$', $from, $to);
$ws['soilTempMinYear'][4]		= wsConvertTemperature('STAT$ST4:MIN:THISYEAR$', $from, $to);
$ws['soilTempMinAlltime'][4]	= wsConvertTemperature('STAT$ST4:MIN:ALLTIME$', $from, $to);
$ws['soilTempMinTodayTime'][4]	= date('YmdHis',strtotime('STAT$ST4:MIN:TODAY:TIME$'));
$ws['soilTempMinMonthTime'][4]	= date('YmdHis',strtotime('STAT$ST4:MIN:THISMONTH:TIME$'));
$ws['soilTempMinYearTime'][4]	= date('YmdHis',strtotime('STAT$ST4:MIN:THISYEAR:TIME$'));
$ws['soilTempMinAlltimeTime'][4]= date('YmdHis',strtotime('STAT$ST4:MIN:ALLTIME:TIME$'));
# Moisture sensor 1 
$ws['moistAct'][1]				= 'STAT$SM1:CURRENT$';
# Moisture sensor 1 maximum value for today month  year  alltime
$ws['moistMaxToday'][1]			= 'STAT$SM1:MAX:TODAY$';
$ws['moistMaxMonth'][1]			= 'STAT$SM1:MAX:THISMONTH$';
$ws['moistMaxYear'][1]			= 'STAT$SM1:MAX:THISYEAR$';
$ws['moistMaxAlltime'][1]		= 'STAT$SM1:MAX:ALLTIME$';
$ws['moistMaxTodayTime'][1]		= date('YmdHis',strtotime('STAT$SM1:MAX:TODAY:TIME$'));
$ws['moistMaxMonthTime'][1]		= date('YmdHis',strtotime('STAT$SM1:MAX:THISMONTH:TIME$'));
$ws['moistMaxYearTime'][1]		= date('YmdHis',strtotime('STAT$SM1:MAX:THISYEAR:TIME$'));
$ws['moistMaxAlltimeTime'][1]	= date('YmdHis',strtotime('STAT$SM1:MAX:ALLTIME:TIME$'));
# Moisture sensor 1 minimum value for today month  year alltime
$ws['moistMinToday'][1]			= 'STAT$SM1:MIN:TODAY$';
$ws['moistMinMonth'][1]			= 'STAT$SM1:MIN:THISMONTH$';
$ws['moistMinYear'][1]			= 'STAT$SM1:MIN:THISYEAR$';
$ws['moistMinAlltime'][1]		= 'STAT$SM1:MIN:ALLTIME$';
$ws['moistMinTodayTime'][1]		= date('YmdHis',strtotime('STAT$SM1:MIN:TODAY:TIME$'));
$ws['moistMinMonthTime'][1]		= date('YmdHis',strtotime('STAT$SM1:MIN:THISMONTH:TIME$'));
$ws['moistMinYearTime'][1]		= date('YmdHis',strtotime('STAT$SM1:MIN:THISYEAR:TIME$'));
$ws['moistMinAlltimeTime'][1]	= date('YmdHis',strtotime('STAT$SM1:MIN:ALLTIME:TIME$'));
# Moisture sensor 2 
$ws['moistAct'][2]				= 'STAT$SM2:CURRENT$';
# Moisture sensor 2 maximum value for today month  year  alltime
$ws['moistMaxToday'][2]			= 'STAT$SM2:MAX:TODAY$';
$ws['moistMaxMonth'][2]			= 'STAT$SM2:MAX:THISMONTH$';
$ws['moistMaxYear'][2]			= 'STAT$SM2:MAX:THISYEAR$';
$ws['moistMaxAlltime'][2]		= 'STAT$SM2:MAX:ALLTIME$';
$ws['moistMaxTodayTime'][2]		= date('YmdHis',strtotime('STAT$SM2:MAX:TODAY:TIME$'));
$ws['moistMaxMonthTime'][2]		= date('YmdHis',strtotime('STAT$SM2:MAX:THISMONTH:TIME$'));
$ws['moistMaxYearTime'][2]		= date('YmdHis',strtotime('STAT$SM2:MAX:THISYEAR:TIME$'));
$ws['moistMaxAlltimeTime'][2]	= date('YmdHis',strtotime('STAT$SM2:MAX:ALLTIME:TIME$'));
# Moisture sensor 2 minimum value for today month  year alltime
$ws['moistMinToday'][2]			= 'STAT$SM2:MIN:TODAY$';
$ws['moistMinMonth'][2]			= 'STAT$SM2:MIN:THISMONTH$';
$ws['moistMinYear'][2]			= 'STAT$SM2:MIN:THISYEAR$';
$ws['moistMinAlltime'][2]		= 'STAT$SM2:MIN:ALLTIME$';
$ws['moistMinTodayTime'][2]		= date('YmdHis',strtotime('STAT$SM2:MIN:TODAY:TIME$'));
$ws['moistMinMonthTime'][2]		= date('YmdHis',strtotime('STAT$SM2:MIN:THISMONTH:TIME$'));
$ws['moistMinYearTime'][2]		= date('YmdHis',strtotime('STAT$SM2:MIN:THISYEAR:TIME$'));
$ws['moistMinAlltimeTime'][2]	= date('YmdHis',strtotime('STAT$SM2:MIN:ALLTIME:TIME$'));
# Moisture sensor 3 
$ws['moistAct'][3]				= 'STAT$SM3:CURRENT$';
# Moisture sensor 3 maximum value for today month  year  alltime
$ws['moistMaxToday'][3]			= 'STAT$SM3:MAX:TODAY$';
$ws['moistMaxMonth'][3]			= 'STAT$SM3:MAX:THISMONTH$';
$ws['moistMaxYear'][3]			= 'STAT$SM3:MAX:THISYEAR$';
$ws['moistMaxAlltime'][3]		= 'STAT$SM3:MAX:ALLTIME$';
$ws['moistMaxTodayTime'][3]		= date('YmdHis',strtotime('STAT$SM3:MAX:TODAY:TIME$'));
$ws['moistMaxMonthTime'][3]		= date('YmdHis',strtotime('STAT$SM3:MAX:THISMONTH:TIME$'));
$ws['moistMaxYearTime'][3]		= date('YmdHis',strtotime('STAT$SM3:MAX:THISYEAR:TIME$'));
$ws['moistMaxAlltimeTime'][3]	= date('YmdHis',strtotime('STAT$SM3:MAX:ALLTIME:TIME$'));
# Moisture sensor 3 minimum value for today month  year alltime
$ws['moistMinToday'][3]			= 'STAT$SM3:MIN:TODAY$';
$ws['moistMinMonth'][3]			= 'STAT$SM3:MIN:THISMONTH$';
$ws['moistMinYear'][3]			= 'STAT$SM3:MIN:THISYEAR$';
$ws['moistMinAlltime'][3]		= 'STAT$SM3:MIN:ALLTIME$';
$ws['moistMinTodayTime'][3]		= date('YmdHis',strtotime('STAT$SM3:MIN:TODAY:TIME$'));
$ws['moistMinMonthTime'][3]		= date('YmdHis',strtotime('STAT$SM3:MIN:THISMONTH:TIME$'));
$ws['moistMinYearTime'][3]		= date('YmdHis',strtotime('STAT$SM3:MIN:THISYEAR:TIME$'));
$ws['moistMinAlltimeTime'][3]	= date('YmdHis',strtotime('STAT$SM3:MIN:ALLTIME:TIME$'));
# Moisture sensor 4 
$ws['moistAct'][4]				= 'STAT$SM4:CURRENT$';
# Moisture sensor 4 maximum value for today month  year  alltime
$ws['moistMaxToday'][4]			= 'STAT$SM4:MAX:TODAY$';
$ws['moistMaxMonth'][4]			= 'STAT$SM4:MAX:THISMONTH$';
$ws['moistMaxYear'][4]			= 'STAT$SM4:MAX:THISYEAR$';
$ws['moistMaxAlltime'][4]		= 'STAT$SM4:MAX:ALLTIME$';
$ws['moistMaxTodayTime'][4]		= date('YmdHis',strtotime('STAT$SM4:MAX:TODAY:TIME$'));
$ws['moistMaxMonthTime'][4]		= date('YmdHis',strtotime('STAT$SM4:MAX:THISMONTH:TIME$'));
$ws['moistMaxYearTime'][4]		= date('YmdHis',strtotime('STAT$SM4:MAX:THISYEAR:TIME$'));
$ws['moistMaxAlltimeTime'][4]	= date('YmdHis',strtotime('STAT$SM4:MAX:ALLTIME:TIME$'));
# Moisture sensor 4 minimum value for today month  year alltime
$ws['moistMinToday'][4]			= 'STAT$SM4:MIN:TODAY$';
$ws['moistMinMonth'][4]			= 'STAT$SM4:MIN:THISMONTH$';
$ws['moistMinYear'][4]			= 'STAT$SM4:MIN:THISYEAR$';
$ws['moistMinAlltime'][4]		= 'STAT$SM4:MIN:ALLTIME$';
$ws['moistMinTodayTime'][4]		= date('YmdHis',strtotime('STAT$SM4:MIN:TODAY:TIME$'));
$ws['moistMinMonthTime'][4]		= date('YmdHis',strtotime('STAT$SM4:MIN:THISMONTH:TIME$'));
$ws['moistMinYearTime'][4]		= date('YmdHis',strtotime('STAT$SM4:MIN:THISYEAR:TIME$'));
$ws['moistMinAlltimeTime'][4]	= date('YmdHis',strtotime('STAT$SM4:MIN:ALLTIME:TIME$'));
# ------------------------------------------ sun and moon --------------------------------
#
# retrieve missing moon entries
$skipMoonPage = true; include ($SITE['moonSet']); $skipMoonPage = false;
#-----------------------------------------------------------------------------------------
?>
